Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.richfaces.component
Enum UIPopupPanel.Properties

    java.lang.Object
      java.lang.Enum<UIPopupPanel.Properties>
          org.richfaces.component.UIPopupPanel.Properties

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UIPopupPanel.Properties>

Enclosing class:
  UIPopupPanel

    protected static enum UIPopupPanel.Properties

extends java.lang.Enum<UIPopupPanel.Properties>

Enum Constant Summary
`autosized`
`controlsClass`
`domElementAttachment`
`followByScroll`
`header`
`headerClass`
`height`
`keepVisualState`
`left`
`maxHeight`
`maxWidth`
`minHeight`
`minWidth`
`modal`
`moveable`
`onbeforehide`
`onbeforeshow`
`onhide`
`onmaskclick`
`onmaskcontextmenu`
`onmaskdblclick`
`onmaskmousedown`
`onmaskmousemove`
`onmaskmouseout`
`onmaskmouseover`
`onmaskmouseup`
`onmove`
`onresize`
`onshow`
`overlapEmbedObjects`
`resizeable`
`shadowDepth`
`shadowOpacity`
`show`
`style`
`styleClass`
`top`
`trimOverlayedElements`
`visualOptions`
`width`
`zindex`

Method Summary
`static UIPopupPanel.Properties` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UIPopupPanel.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### autosized

    public static final UIPopupPanel.Properties autosized

### controlsClass

    public static final UIPopupPanel.Properties controlsClass

### domElementAttachment

    public static final UIPopupPanel.Properties domElementAttachment

### followByScroll

    public static final UIPopupPanel.Properties followByScroll

### header

    public static final UIPopupPanel.Properties header

### headerClass

    public static final UIPopupPanel.Properties headerClass

### height

    public static final UIPopupPanel.Properties height

### keepVisualState

    public static final UIPopupPanel.Properties keepVisualState

### left

    public static final UIPopupPanel.Properties left

### maxHeight

    public static final UIPopupPanel.Properties maxHeight

### maxWidth

    public static final UIPopupPanel.Properties maxWidth

### minHeight

    public static final UIPopupPanel.Properties minHeight

### minWidth

    public static final UIPopupPanel.Properties minWidth

### modal

    public static final UIPopupPanel.Properties modal

### moveable

    public static final UIPopupPanel.Properties moveable

### onbeforehide

    public static final UIPopupPanel.Properties onbeforehide

### onbeforeshow

    public static final UIPopupPanel.Properties onbeforeshow

### onhide

    public static final UIPopupPanel.Properties onhide

### onmaskclick

    public static final UIPopupPanel.Properties onmaskclick

### onmaskcontextmenu

    public static final UIPopupPanel.Properties onmaskcontextmenu

### onmaskdblclick

    public static final UIPopupPanel.Properties onmaskdblclick

### onmaskmousedown

    public static final UIPopupPanel.Properties onmaskmousedown

### onmaskmousemove

    public static final UIPopupPanel.Properties onmaskmousemove

### onmaskmouseout

    public static final UIPopupPanel.Properties onmaskmouseout

### onmaskmouseover

    public static final UIPopupPanel.Properties onmaskmouseover

### onmaskmouseup

    public static final UIPopupPanel.Properties onmaskmouseup

### onmove

    public static final UIPopupPanel.Properties onmove

### onresize

    public static final UIPopupPanel.Properties onresize

### onshow

    public static final UIPopupPanel.Properties onshow

### overlapEmbedObjects

    public static final UIPopupPanel.Properties overlapEmbedObjects

### resizeable

    public static final UIPopupPanel.Properties resizeable

### shadowDepth

    public static final UIPopupPanel.Properties shadowDepth

### shadowOpacity

    public static final UIPopupPanel.Properties shadowOpacity

### show

    public static final UIPopupPanel.Properties show

### style

    public static final UIPopupPanel.Properties style

### styleClass

    public static final UIPopupPanel.Properties styleClass

### top

    public static final UIPopupPanel.Properties top

### trimOverlayedElements

    public static final UIPopupPanel.Properties trimOverlayedElements

### visualOptions

    public static final UIPopupPanel.Properties visualOptions

### width

    public static final UIPopupPanel.Properties width

### zindex

    public static final UIPopupPanel.Properties zindex

Method Detail

### values

    public static UIPopupPanel.Properties[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UIPopupPanel.Properties c : UIPopupPanel.Properties.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UIPopupPanel.Properties valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.